package ink.wgink.interfaces.user.wechat.miniapp;

import ink.wgink.pojo.dtos.miniapp.MiniappUserDTO;

import java.util.List;

/**
 * @ClassName: IMiniappUserBaseService
 * @Description: 微信小程序接口
 * @Author: wanggeng
 * @Date: 2021/8/18 10:59 上午
 * @Version: 1.0
 */
public interface IMiniappUserBaseService {

    /**
     * 删除用户
     *
     * @param userId 用户ID
     */
    void delete(String userId);

    /**
     * 删除用户
     *
     * @param userIds 用户ID列表
     */
    void delete(List<String> userIds);

    /**
     * 用户
     *
     * @param userId 用户ID
     * @return
     */
    MiniappUserDTO getByUserId(String userId);

    /**
     * 用户列表
     *
     * @param userIds 用户ID列表
     * @return
     */
    List<MiniappUserDTO> listByUserIds(List<String> userIds);

    /**
     * 用户码获取用户
     *
     * @param userCode 用户码
     * @return
     */
    MiniappUserDTO getByUserCode(String userCode);

    /**
     * 用户码获取用户列表
     *
     * @param userCodes 用户码列表
     * @return
     */
    List<MiniappUserDTO> listByUserCodes(List<String> userCodes);

}
